> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel bulk bank payment

### Requirements to consume the endpoint.

<CardGroup cols={1}>
  <Card title="User approved" icon="check">
    The user must be approved in at least one country.
  </Card>
</CardGroup>


## OpenAPI

````yaml post /api/payments/bank/bulk/{id}/cancel
openapi: 3.0.0
info:
  version: v1.0.0
  title: Bank payments API
  description: API for managing bank payments in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/payments/bank/bulk/{id}/cancel:
    post:
      summary: Cancel bulk bank payment
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Id of the bulk bank payment
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseBulkBankPaymentSchema'
          description: OK
components:
  schemas:
    responseBulkBankPaymentSchema:
      type: object
      properties:
        createdAt:
          type: string
          description: The date and time the order was created
          example: '2025-01-04T02:07:50.765Z'
        userId:
          type: string
          description: The unique identifier of the user
          example: 6757546b4c5d19bf3cd7b09c
        orderIds:
          type: array
          description: List of order IDs associated pending payment
          items:
            type: string
          example: []
        amount:
          type: number
          description: The total amount of the orders
          example: 0
        fiat:
          enum:
            - USD
            - MXN
            - PEN
            - COP
          description: The type of fiat currency involved in the order
        orderIdsPaid:
          type: array
          description: List of order IDs that have been paid
          items:
            type: string
          example: []
        bankName:
          type: string
          description: The name of the bank
          example: Bank Name
        companyName:
          type: string
          description: The name of the company
          example: Company Name
        companyAddress:
          type: string
          description: The address of the company
          example: Company Address
        status:
          enum:
            - awaitingOrders
            - awaitingPayment
            - awaitingAsyncPayment
            - awaitingAsyncPayoutForOrders
            - complete
            - failed
            - cancelled
            - insufficientAmountReceived
            - excessAmountReceived
          description: The current status of the bulk bank payment.
          example: awaitingPayment
        CCI:
          type: string
          description: 20-digit code used to identify bank accounts, only applies in Peru
          example: null
        CLABE:
          type: string
          description: The 18-digit code used to identify bank accounts in Mexico
          example: '01212345678901'
        RFC:
          type: string
          description: The tax identification number in Mexico
          example: RBL123456789
        RUC:
          type: string
          description: >-
            Registry containing the identification data of economic activities
            in Peru
        reference:
          type: string
          description: The reference for the bulk payment
          example: BPaaf32e
        id:
          type: string
          description: The unique identifier of the bulk bank payment
          example: 677897f68f577610fcaaf32e
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````